var stockadmin=0;
function exsm_online_top()
{
	if (stockadmin==1)
	{
		var adminmenu='&nbsp;[<a href=?action=Admin>管理</a>]';
	}
	else
	{
		var adminmenu='';
	}
	var o_top='<table class=a2 width='+assignwidth+' cellspacing=1 cellpadding=3 align=center border=0>';
	o_top+='<tr><td align=center height=25 class=a1><b>-=> '+stockname+' - 在 线 情 况</b> '+adminmenu+' <=-</td></tr>';
	o_top+='<tr align=center><td class=a3>目前股市共有 <b>'+(regusernum+guestusernum)+'</b> 位在线股民，会员 <b>'+regusernum+'</b> 位，客人 <b>'+guestusernum+'</b> 位。</td></tr>';
	o_top+='</table>';
	o_top+='<br><table class=a2 width='+assignwidth+' cellspacing=1 cellpadding=3 align=center border=0>';
	o_top+='<tr align=center height=25 class=a1>';
	o_top+='<td>ID</td><td>用户名</td><td>目前位置</td><td>开户</td><td>来访时间</td><td>活动时间</td><td>用户 I P</td><td>AutoUserID</td></tr>';
	return o_top;
}
function exsm_online_list(id,username,userip,usertime,nowseat,userid,movetime,hideuser,statuserid)
{
	var o_list='<form action="Exsm_Plus_Admin_user.asp?action=DelUserList" method="post" name="form1">';
	if (adminmenuon==1)
	{
		var admincheckbox='<input type="checkbox" name="id" value="'+id+'">';
	}
	else
	{
		var admincheckbox=id;
	}
	if (userid==0)
	{
		var username=username;
		var ifreg='否';
	}
	else
	{
		var username='<a href=Exsm_Plus_Dispu.asp?uid='+userid+'>'+username+'</a>';
		var ifreg='是';
	}
	if (hideuser==2)
	{
		username=username;
	}
	else
	{
		username='隐身股民';
	}
	o_list+='<tr align=center>';
	o_list+='<td class=a3>'+admincheckbox+'</td>';
	o_list+='<td class=a3>'+username+'</td>';
	o_list+='<td class=a4>'+nowseat+'</td>';
	o_list+='<td class=a3>'+ifreg+'</td>';
	o_list+='<td class=a3>'+usertime+'</td>';
	o_list+='<td class=a3>'+movetime+'</td>';
	o_list+='<td class=a3>'+userip+'</td>';
	o_list+='<td class=a3>'+statuserid+'</td>';
	o_list+='</tr>';
	return o_list;
}
function exsm_online_root()
{
	var o_root='';
	if (adminmenuon==1)
	{
		o_root+='<td class=a4 colspan="8">&nbsp;<input type=checkbox name=chkall value=on onclick="CheckAll(this.form)">&nbsp;全选/取消&nbsp;批量删除&nbsp;<input type=submit name=Submit value="执行" onclick="{if(confirm(\'您确定执行删除操作吗？\')){this.document.form1.submit();return true;}return false;}"></td></tr></form>';
	}
	o_root+='</table>';
	o_root+='<table width='+assignwidth+' cellspacing=0 cellpadding=1 align=center border=0>';
	o_root+='<tr><td align=left>页次：'+page+' / '+pagecount+'页 每页'+pagesize+'个 共'+recordcount+'个</td>';
	o_root+='<td align=right>分页：'+DispPageNum(page,pagecount,'?page=','','""');+'</td></tr>';
	o_root+='</table>';
	return o_root;
}
function exsm_online_naught()
{
	var o_naught='<tr><td class=a3 colspan=8 align=center>没有找到在线股民。</td></tr>';
	o_naught+='</table>';
	return o_naught;
}
function CheckAll(form)
{
	for (var i=0;i<form.elements.length;i++)
	{
		var e = form.elements[i];
		if (e.name != 'chkall')
		{
			e.checked = form.chkall.checked;
		}
	}
}